------------------------------
-- Tajifun's Realism Script --
------------------------------

-- Config/Setup --

shake = 1 -- Turn "shake" on/off (1 = On, 0 = Off)
regeneration = 1 -- Turn "regeneration" on/off (1 = On, 0 = Off)
reg_heal = math.random(1,2) -- Regeneration per second, default: math.random(1,2)
blood = 1 -- Turn "blood/redscreen" on/off (1 = On, 0 = Off)
blood_fade = 2500 -- Time until bloodeffect faded out (in ms) default: 2500


addhook("hit","_hit")
addhook("second","_second")
addhook("die","_die")

function initArray(m)
	local array = {}
	for i = 1, m do
		array[i] = 0
	end
	return array
end

img = initArray(32)

function _hit(id,s,wpn,hpdmg,apdmg)
	if player(id,"team") ~= player(s,"team") then
		if shake >= 1 then
			parse("shake "..id.." "..math.ceil((hpdmg + apdmg) / 2.5).."")
		end
		if blood >= 1 then
			img[id] = image("gfx/realism_blood.png",0,1,(132+id),id)
			tween_alpha(img[id],blood_fade,0)
		end
	end
end

function _die(v) imagealpha(img[v],0.0) end

function _second(id)
	if regeneration >= 1 then
		for id= 1, 32 do
			if player(id,"exists") then
				if player(id,"health") < 100 then
					heal = player(id,"health") + reg_heal
					parse ("sethealth "..id.." "..heal.."")
				end
			end
		end
	end
end

print("000255000Tajifun's Realism Script installed! Hope you like it :)")